Package org.eclipse.emf.compare.ide.ui.logical

# Interface IStorageProvider

All Known Implementing Classes:
  `FileRevisionStorageProvider`, `ResourceVariantStorageProvider`

@Beta public interface IStorageProvider
Used by the logical model to wrap types that can provide IStorages.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.resources.IStorage`
`getStorage(org.eclipse.core.runtime.IProgressMonitor monitor)`
Retrieves the underlying storage of this provider.

## Method Details

### getStorage

org.eclipse.core.resources.IStorage getStorage(org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Retrieves the underlying storage of this provider.

Parameters:
  `monitor` - Monitor on which to report progress information.
Returns:
  The underlying storage of this provider.
Throws:
  `org.eclipse.core.runtime.CoreException` - Thrown if the underlying storage cannot be retrieved.